using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
    {
    public class PageDisplay
    {
        private long ciID;
        private int ciMenuID;
        private string csTitle;
        private string csKeyword;
        private string csDescription;
        private string csContent;

	    public PageDisplay()
	    {}
        [Index]
        public long ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public int MenuID
        {
            get { return ciMenuID; }
            set { ciMenuID = value; }
        }

        public string Title
        {
            get { return csTitle; }
            set { csTitle = value; }
        }

        public string Keyword
        {
            get { return csKeyword; }
            set { csKeyword = value; }
        }

        public string Description
        {
            get { return csDescription; }
            set { csDescription = value; }
        }

        public string Content
        {
            get { return csContent; }
            set { csContent = value; }
        }
    }

    public class PageDisplayList : BindingList<PageDisplay>
    {
        public PageDisplayList()
        { }
    }
}